from dataclasses import dataclass, field
from dataclasses_json import dataclass_json

from models.Point import Point

@dataclass_json
@dataclass
class Line:
    start_point: Point = field(default_factory=Point)
    end_point: Point = field(default_factory=Point)
    angle: float = field(default_factory=float)