import pydantic
from dataclasses_json import dataclass_json

from models.LogSeverity import LogSeverity


@dataclass_json
@pydantic.dataclasses.dataclass
class LogRecord:
    timestamp_unix: int = 0
    source: str = ''
    severity: LogSeverity = LogSeverity.INFO
    message: str = ''

