from dataclasses import field
from dataclasses_json import dataclass_json
from pydantic.dataclasses import dataclass


@dataclass_json
@dataclass
class LogRosTopic:
    header: dict = field(default_factory=dict)
    timestamp_unix: int = 0
    topic_full_path: str = ''
    message_type: str = ''
    message: str = ''
    buff_base64: str = ''

