from __future__ import annotations

from typing import List

from dataclasses_json import dataclass_json
from dataclasses import dataclass, field

from models.EnumTopicGroup import EnumTopicGroup

@dataclass_json
@dataclass
class RosTopic:
    children_topics: List[RosTopic] = field(default_factory=list)
    name: str = ''
    full_path: str = ''
    message_type: str = ''
    source_type: str = ''
    group: EnumTopicGroup = EnumTopicGroup.none
    is_selected: bool = False
