from dataclasses import dataclass, field
from typing import List, Optional

from dataclasses_json import dataclass_json

from models.EnumFlightPlanStepStatus import EnumFlightPlanStepStatus
from models.EnumFlightPlanStepType import EnumFlightPlanStepType
from models.PointOfInterest import PointOfInterest


@dataclass_json
@dataclass
class FlightPlanStep:
    step_uuid: str = ''
    poi_uuid: Optional[str] = None

    name: str = ''

    is_included_in_loop: bool = False
    step_status: EnumFlightPlanStepStatus = EnumFlightPlanStepStatus.NotSet
    step_type: EnumFlightPlanStepType = EnumFlightPlanStepType.NotSet