from typing import List, Optional

from dataclasses_json import dataclass_json
from dataclasses import field, dataclass

from models.LogRecord import LogRecord
from models.LogRosTopic import LogRosTopic


@dataclass_json
@dataclass
class Logs:
    logs: List[LogRecord] = field(default_factory=list)
    logs_ros_topics_full: Optional[List[LogRosTopic]] = field(default_factory=list)
    logs_ros_topics: Optional[List[LogRosTopic]] = field(default_factory=list)