from dataclasses import dataclass, field
from typing import List

from dataclasses_json import dataclass_json
from models.Point import Point


@dataclass_json
@dataclass
class MapDronePath:
    points: List[Point] = field(default_factory=list)
    w: List[float] = field(default_factory=list)

    # Filled by ControllerChromium.py @447 and used in ComponentMap.js
    x: List[float] = field(default_factory=list)
    y: List[float] = field(default_factory=list)
