from dataclasses import dataclass, field
from typing import List, Optional

from dataclasses_json import dataclass_json

from models.PointOfInterest import PointOfInterest


@dataclass_json
@dataclass
class MapPointsOfInterest:
    pois: List[PointOfInterest] = field(default_factory=list)
    repeat_count: Optional[int] = 1
    current_loop_count: Optional[int] = 0
    delay_before_execution_sec: Optional[int] = 0
    current_delay_before_execution_sec: Optional[int] = 0