export default class ComponentPanelStatusSide extends React.Component {
    constructor(props) {
        super(props);
        this.state = {
            x: 0,
            y: 0,
            z: 0,
            dir_x: 0,
            dir_y: 0,
            dir_z: 0,
            speed: 0
        };

        document.addEventListener(UPDATE_DRONE_POSITION, this.onSetDronePosition);
    }

    onSetDronePosition = (event) => {
        try {
            this.setState({
                x: _.round(event.detail.x_orig, 1),
                y: _.round(event.detail.y_orig, 1),
                dir_x: _.round(event.detail.dir_x, 1),
                dir_y: _.round(event.detail.dir_y, 1),
                speed: 0
            })
        } catch (e) {
            alert(e.message);
        }
    }


    componentDidMount = () => {
    }

    render = () => {
        return (
            <div id="panel-status-side">
                <div className="panel-row">
                    <div id="panel-icon-position" className="panel-row-label">Position</div>
                    <div id="panel-value-position" className="panel-row-value">{this.state.x}, {this.state.y}</div>
                </div>
                <div className="panel-row">
                    <div id="panel-icon-heading" className="panel-row-label">Heading</div>
                    <div id="panel-value-heading" className="panel-row-value">{this.state.dir_x}, {this.state.dir_y}</div>
                </div>
                <div className="panel-row">
                    <div id="panel-icon-speed" className="panel-row-label">Speed</div>
                    <div id="panel-value-speed" className="panel-row-value">{this.state.speed}</div>
                </div>
            </div>);
    }
}


